Bug 1631863 - nodejs-10.11.0-1 errors with /usr/bin/node: symbol lookup error: /usr/bin/node: undefined symbol: uv_os_setpriority
Summary: nodejs-10.11.0-1 errors with /usr/bin/node: symbol lookup error: /usr/bin/nod...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: NodeJS Packaging SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-21 18:23 UTC by Joe Doss
Modified: 2018-10-31 14:41 UTC (History)
8 users (show)

Fixed In Version: nodejs-10-20181011185441.9c690d0e nodejs-10.12.0-1.fc29 nodejs-10-20181011185441.6c81f848
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-25 22:35:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Joe Doss 2018-09-21 18:23:17 UTC
Description of problem:

nodejs-10.11.0-1 errors with /usr/bin/node: symbol lookup error: /usr/bin/node: undefined symbol: uv_os_setpriority

Version-Release number of selected component (if applicable):

nodejs-10.11.0-1.fc29

How reproducible:

Always.

Steps to Reproduce:
1. Install nodejs-10.11.0-1
2. Run /usr/bin/npm or /usr/bin/node
3. See this cool error: /usr/bin/node: symbol lookup error: /usr/bin/node: undefined symbol: uv_os_setpriority

Actual results:

/usr/bin/node: symbol lookup error: /usr/bin/node: undefined symbol: uv_os_setpriority

Expected results:

Super sweet NodeJS action.

Comment 1 Stephen Gallagher 2018-09-21 23:58:07 UTC
I screwed up and forgot to do two things:
1) Set the minimum requirement on libuv to 1.23.0
2) Include libuv 1.23.0 in the Bodhi update.

I've done the second just now, so tomorrow you should be able to update libuv to 1.23.0 and things should work fine again.

I'm not sure it's necessarily worth rebuilding the nodejs package just for the version issue; it takes nearly four hours.

Comment 2 Chris Murphy 2018-09-22 17:39:47 UTC
I see it in bodhi
https://bodhi.fedoraproject.org/updates/FEDORA-2018-e6a90dac17

But it's still not in updates-testing. Grabbing it from koji and installing fixes the problem.

Comment 3 Fedora Update System 2018-10-12 00:26:53 UTC
nodejs-10.12.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-927acdd658

Comment 4 Fedora Update System 2018-10-12 00:27:00 UTC
nodejs-10-20181011185441.6c81f848 has been submitted as an update to Fedora 29 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-9ef41d73e3

Comment 5 Fedora Update System 2018-10-12 00:27:06 UTC
nodejs-10-20181011185441.9c690d0e has been submitted as an update to Fedora 28 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-cee35fcd7e

Comment 6 Fedora Update System 2018-10-12 16:39:38 UTC
nodejs-10-20181011185441.6c81f848 has been pushed to the Fedora 29 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-9ef41d73e3

Comment 7 Fedora Update System 2018-10-12 18:25:58 UTC
nodejs-10.12.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-927acdd658

Comment 8 Fedora Update System 2018-10-12 19:28:36 UTC
libuv-1.23.2-1.fc29 nodejs-10.12.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-927acdd658

Comment 9 Fedora Update System 2018-10-12 19:49:30 UTC
nodejs-10-20181011185441.9c690d0e has been pushed to the Fedora 28 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-cee35fcd7e

Comment 10 Fedora Update System 2018-10-13 21:30:54 UTC
libuv-1.23.2-1.fc29, nodejs-10.12.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-927acdd658

Comment 11 Fedora Update System 2018-10-25 22:35:44 UTC
nodejs-10-20181011185441.9c690d0e has been pushed to the Fedora 28 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-10-30 17:26:01 UTC
libuv-1.23.2-1.fc29, nodejs-10.12.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-10-31 14:41:45 UTC
nodejs-10-20181011185441.6c81f848 has been pushed to the Fedora 29 Modular stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.